package com.csc.library.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.regex.Pattern;

public class ClassFileUtil {
	private static Pattern pClass = Pattern.compile(".*?.class\\z" , Pattern.CASE_INSENSITIVE);
	
	public static boolean isClassFile(String path){
		return ClassFileUtil.pClass.matcher(path).find();
	}
	
	public static JavaVersion getJavaVersion(InputStream is) throws IOException{

        // Create a buffer to store the first 8 bytes of a file.
        byte[] buffer = new byte[8];

        // Create an InputStream from the file provided as an argument.
        //InputStream is = new DataInputStream(new FileInputStream(new File(path)));

        // Read the first 8 bytes of the file.
        is.read(buffer);

        // Print the major version number.
        String result = buffer[7]+"";
        return  JavaVersion.getJavaVersion(Integer.parseInt(result));
    }
}
