package com.csc.library.util;


import java.io.File;
import java.util.regex.Pattern;

public class JarFileUtil {
	private static Pattern pJar = Pattern.compile(".*?.jar\\z" , Pattern.CASE_INSENSITIVE);
	
	public static boolean isJarFile(String path){
		return JarFileUtil.pJar.matcher(path).find();
	}
	
	public static boolean isJarFile(File file){
		return JarFileUtil.pJar.matcher(file.getPath()).find();
	}
}
